# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_GLSLShader Struct Reference

VLX wrapper of vl::GLSLVertexShader, vl::GLSLFragmentShader, vl::GLSLGeometryShader, vl::GLSLTessControlShader, vl::GLSLTessEvaluationShader. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_GLSLShader:

List of all members.

## Public Member Functions

void | importGLSLShader (VLXSerializer &s, const VLXStructure *vlx, GLSLShader *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportGLSLShader (const GLSLShader *glslsh, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::GLSLVertexShader, vl::GLSLFragmentShader, vl::GLSLGeometryShader, vl::GLSLTessControlShader, vl::GLSLTessEvaluationShader.

Definition at line 2821 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_GLSLShader::importGLSLShader | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | GLSLShader * | obj
| ) |  | `[inline]`

Definition at line 2823 of file VLXWrappers.hpp.

References vl::VLXValue::getRawtextBlock(), vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::VLXTaggedValue::lineNumber(), NULL, vl::VLXValue::RawtextBlock, vl::VLXSerializer::resolvePath(), vl::GLSLShader::setSource(), vl::VLXValue::String, vl::VLXValue::type(), vl::VLXRawtextBlock::value(), VLX_IMPORT_CHECK_RETURN, and vl::Log::warning().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_GLSLShader::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2847 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importGLSLShader(), NULL, vl::VLXSerializer::registerImportedStructure(), vl::VLXSerializer::signalImportError(), and vl::VLXTaggedValue::tag().

void vl::VLXClassWrapper_GLSLShader::exportGLSLShader | ( | const GLSLShader * | glslsh,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 2876 of file VLXWrappers.hpp.

References vl::GLSLShader::getShaderSource(), vl::GLSLShader::handle(), vl::GLSLShader::path(), vl::GLSLShader::source(), vl::vlx_Identifier(), vl::vlx_Rawtext(), and vl::vlx_String().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_GLSLShader::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 2890 of file VLXWrappers.hpp.

References vl::Object::as(), exportGLSLShader(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:57.
Permission is granted to use this page to write and publish articles regarding Visualization Library.